function rfc = MissRatio_RFtrain(Xdata,param)
% rfc = MissRatio_RFtrain(Xdata,param)
% train a RF with missing data using options in param 
% 
% Miss RatioRF Random Forest library
% (c) Manuele Bicego 2025
% 
% Xdata: [nxd]: n objects in a d-dimensional space
%        Nan indicates the presence of a missing value


switch param.typeTree
    case 1
    
    case 2
        % 2: Extremely Random Tree 
        rfc = MissRatio_ertRFtrain(Xdata,param);
    case 3
        % 3: regression Tree
        rfc = MissRatio_RegRFtrain(Xdata,param);
end

