function missdata = createMCAR(data,missi)
% missdata = createMCAR(data,missi)
% 
% create missing dataset with MCAR protocol
% only constraint: an object cannot contain only NaNs

missdata = NaN(size(data));
nnan = find(sum(isnan(missdata),2) == size(data,2));
while ~isempty(nnan)
    s = numel(data);
    a = randperm(s);
    missdata = data;
    missdata(a(1:round(s*missi))) = NaN;
    nnan = find(sum(isnan(missdata),2) == size(data,2));
end