function CI = MissRatio_getRFPathInfo(Xdata,rfc,param)
% CI = MissRatio_getRFPathInfo(Xdata,rfc,param)
%
% extract info from paths for distance computation
%
% Miss RatioRF Random Forest library
% (c) Manuele Bicego 2025
% 
% Xdata: [nxd]: n objects in a d-dimensional space
%        Nan indicates the presence of a missing value
% rfc is the trained forest

nT = length(rfc.trees);
for tt = nT:-1:1
    t = rfc.trees{tt};
    CI(tt)  = MissRatio_getTreePathInfo(Xdata,t,param);
end
